multi-loader

[![npm][npm]][npm-url] [![node][node]][node-url] [![deps][deps]][deps-url] [![tests][tests]][tests-url] [![chat][chat]][chat-url]

用于分离模块和组合使用多个 loader 的 webpack loader。 这个 loader 会多次引用一个模块,每次不同的 loader 加载这个模块, 就像下面配置中定义的那样。

注意:在多入口,最后一项的 exports 会被导出。

要求

此模块需要 Node v6.9.0+ 和 webpack v4.0.0+。

起步

你需要预先安装 multi-loader

$ npm install multi-loader --save-dev

然后,在 webpack 配置中添加 loader。例如:

// webpack.config.js
const multi = require('multi-loader');
{
    module: {
        loaders: [
            {
                test: /\.css$/,
                // 向 DOM 中添加 CSS,然后返回原始内容
                loader: multi(
                    'style-loader!css-loader!autoprefixer-loader',
                    'raw-loader'
                )
            }
        ]
    }
}

然后,通过你偏爱的方式去运行 webpack

License

MIT MIT" class="icon-link" href="#mit">